Compartir a través de


List elevation requests

API description

Lists all elevation requests.

Supported OData V4 query operators:

$filter

$skip

$top

Prerequisites

One of the following permissions is required to call this API.

Permission type Permissions
Delegated Not Applicable
Application MmdSupport.ReadWrite

HTTP request

GET https://mmdls.microsoft.com/support/odata/v1/tenants/{tenantId}/elevationRequests

Request headers

Header Value
Authorization Bearer {token} (Required)
Accept application/json

Request body

Don't supply a request body for this method.

Response

If successful, this method returns a 200 OK response code and a list of tickets in the response body.

Example 1: List elevation requests

List elevation request

The following is an HTTP example to list the first two elevation requests.

GET https://mmdls.microsoft.com/support/odata/v1/tenants/{tenantId}/elevationRequests?$skip=0&$top=2

List elevation response

The following is an example of the JSON response.

Note

The response list shown here may be truncated for brevity. All elevation requests will be returned from an actual call.

{ 
    "@odata.context": "https://mmd-support-prod-nam.trafficmanager.net/odata/v1/$metadata#ElevationRequests", 
    "value": [ 
        { 
            "id": "Elevation Request Id", 
            "tenantId": "Tenant Id", 
            "partnerId": "Tenant Id", 
            "requestingAgentUpn": "user UPN email", 
            "partnerTicketId": "Support Ticket Id", 
            "deviceName": "Device Name", 
            "title": "Elevation request title", 
            "category": "Office", 
            "subcategory": "Excel", 
            "planOfAction": "Plan of action using elevation.", 
            "actionsTaken": "", 
            "closingAgentUpn": "", 
            "requestCreationTime": "2021-12-14T14:06:25.0338102Z", 
            "requestClosureTime": null, 
            "requestRenewTime": null, 
            "isSuccessfulRequest": true, 
            "viewerUpns": [], 
            "passwordLastUpdatedTime": "2021-03-16T15:10:36.2066667Z", 
            "isDeleted": false, 
            "ttl": 7776000, 
            "eTag": null 
        }, 
        { 
            "id": "Elevation Request Id", 
            "tenantId": "Tenant Id", 
            "partnerId": "Tenant Id", 
            "requestingAgentUpn": "user UPN email", 
            "partnerTicketId": "Support Ticket Id", 
            "deviceName": "Device Name", 
            "title": "Elevation request title", 
            "category": "Hardware", 
            "subcategory": "Device", 
            "planOfAction": "Plan of action using elevation.", 
            "actionsTaken": "", 
            "closingAgentUpn": "", 
            "requestCreationTime": "2021-12-14T14:06:25.0338102Z", 
            "requestClosureTime": null, 
            "requestRenewTime": null, 
            "isSuccessfulRequest": true, 
            "viewerUpns": [], 
            "passwordLastUpdatedTime": "2021-03-16T15:10:36.2066667Z", 
            "isDeleted": false, 
            "ttl": 7776000, 
            "eTag": null 
        }, 
        .... 
    ] 
}

Example 2: List elevation requests for a device

List elevation requests for a device request

The following is an HTTP example to list all elevation requests for a specific device.

GET https://mmdls.microsoft.com/support/odata/v1/tenants/{tenantId}/elevationRequests?$filter=deviceName eq 'MMD-03690457680'

List elevation requests for a device response

The following is an example of the JSON response.

Note

The response list shown may be truncated for brevity. All elevation requests will be returned from an actual call.

{ 
    "@odata.context": "https://mmd-support-prod-nam.trafficmanager.net/odata/v1/$metadata#ElevationRequests", 
    "value": [ 
        { 
            "id": "Elevation Request Id", 
            "tenantId": "Tenant Id", 
            "partnerId": "Tenant Id", 
            "requestingAgentUpn": "user UPN email", 
            "partnerTicketId": "Support Ticket Id", 
            "deviceName": "MMD-03690457680", 
            "title": "Elevation request title", 
            "category": "Office", 
            "subcategory": "Excel", 
            "planOfAction": "Plan of action using elevation.", 
            "actionsTaken": "", 
            "closingAgentUpn": "", 
            "requestCreationTime": "2021-12-14T14:06:25.0338102Z", 
            "requestClosureTime": null, 
            "requestRenewTime": null, 
            "isSuccessfulRequest": true, 
            "viewerUpns": [], 
            "passwordLastUpdatedTime": "2021-03-16T15:10:36.2066667Z", 
            "isDeleted": false, 
            "ttl": 7776000, 
            "eTag": null 
        }, 
        { 
            "id": "Elevation Request Id", 
            "tenantId": "Tenant Id", 
            "partnerId": "Tenant Id", 
            "requestingAgentUpn": "user UPN email", 
            "partnerTicketId": "Support Ticket Id", 
            "deviceName": "MMD-03690457680", 
            "title": "Elevation request title", 
            "category": "Hardware", 
            "subcategory": "Device", 
            "planOfAction": "Plan of action using elevation.", 
            "actionsTaken": "", 
            "closingAgentUpn": "", 
            "requestCreationTime": "2021-12-14T14:06:25.0338102Z", 
            "requestClosureTime": null, 
            "requestRenewTime": null, 
            "isSuccessfulRequest": true, 
            "viewerUpns": [], 
            "passwordLastUpdatedTime": "2021-03-16T15:10:36.2066667Z", 
            "isDeleted": false, 
            "ttl": 7776000, 
            "eTag": null 
        }, 
        .... 
    ] 
}

Example 3: List elevation requests filtered by category

List elevation requests filtered by category request

The following is an HTTP example to list all elevation requests with category of ‘Office’.

GET https://mmdls.microsoft.com/odata/v1/tenants/{tenantId}/elevationRequests?$filter=contains(category,'Office')

List elevation requests filtered by category response

The following is an example of the JSON response.

Note

The response list shown may be truncated for brevity. All tickets will be returned from an actual call.

{ 
    "@odata.context": "https://mmd-support-prod-nam.trafficmanager.net/odata/v1/$metadata#ElevationRequests", 
    "value": [ 
        { 
            "id": "Elevation Request Id", 
            "tenantId": "Tenant Id", 
            "partnerId": "Tenant Id", 
            "requestingAgentUpn": "user UPN email", 
            "partnerTicketId": "Support Ticket Id", 
            "deviceName": "MMD-03690457680", 
            "title": "Elevation request title", 
            "category": "Office", 
            "subcategory": "Excel", 
            "planOfAction": "Plan of action using elevation.", 
            "actionsTaken": "", 
            "closingAgentUpn": "", 
            "requestCreationTime": "2021-12-14T14:06:25.0338102Z", 
            "requestClosureTime": null, 
            "requestRenewTime": null, 
            "isSuccessfulRequest": true, 
            "viewerUpns": [], 
            "passwordLastUpdatedTime": "2021-03-16T15:10:36.2066667Z", 
            "isDeleted": false, 
            "ttl": 7776000, 
            "eTag": null 
        }, 
        { 
            "id": "Elevation Request Id", 
            "tenantId": "Tenant Id", 
            "partnerId": "Tenant Id", 
            "requestingAgentUpn": "user UPN email", 
            "partnerTicketId": "Support Ticket Id", 
            "deviceName": "MMD-03690457680", 
            "title": "Elevation request title", 
            "category": "Office", 
            "subcategory": "Word", 
            "planOfAction": "Plan of action using elevation.", 
            "actionsTaken": "", 
            "closingAgentUpn": "", 
            "requestCreationTime": "2021-12-14T14:06:25.0338102Z", 
            "requestClosureTime": null, 
            "requestRenewTime": null, 
            "isSuccessfulRequest": true, 
            "viewerUpns": [], 
            "passwordLastUpdatedTime": "2021-03-16T15:10:36.2066667Z", 
            "isDeleted": false, 
            "ttl": 7776000, 
            "eTag": null 
        }, 
        .... 
    ] 
}